Mise à niveau vers la dernière version stable Mono

36

Mono 2.8 a été récemment lancé avec quelques améliorations de performances importantes. Il est beaucoup trop tard pour que Maverick arrive et que je sois assez hospitalisé.

Je n'utilise pas Mono pour quelque chose de critique ( juste pour jouer de la musique et trier des photos) et si cela brise tout ce qui concerne Mono, je peux probablement le vivre ou le réparer. Je sais combien je risque de perdre si je fais des bêtises.

Donc, avec cela reconnu, est-ce que quelqu'un ici sait comment construire Mono de manière à ce qu’il puisse être déposé pour remplacer le Mono actuel (2.6.7)? Je veux dire par là que les paquets utilisés par Ubuntu sont idéalement placés de sorte que, si le pire arrive, je peux simplement rétrograder les paquets.

Ou existe-t-il un PPA qui fait tout cela pour moi?

    
posée Oli 07.10.2010 - 11:21
la source

9 réponses

15

Téléchargez et installez le paquet deb mono-parallèle 2.10 .

Après avoir installé le fichier deb, collez-le dans le terminal (Ctrl + Alt + T)

source mono-2.10-environment

Après cela, votre terminal ressemblera à

  

[mono] / var / dev / mono @

Source

    
réponse donnée Lincity 09.03.2011 - 13:55
la source
8

Mono 2.8 n'est pas disponible dans un PPA. Mais quelqu'un a créé un script pour télécharger, compiler et installer automatiquement Mono 2.8 de la source . Cela le rend un peu plus facile.

    
réponse donnée SylvainC 13.10.2010 - 07:44
la source
7

L’endroit où aller pour un PPA mono est lien , malheureusement cela pourrait prendre des mois avant que le mono 2.8 soit

Novell ne pense pas qu'il soit de leur responsabilité de fournir des packages mono pour Ubuntu, alors les efforts doivent venir de la communauté.

Jo Shields tient à la fois les paquets officiels et le PPA de badgerports. Il a dit que cela pourrait prendre des mois avant que mono 2.8 soit disponible via son PPA.

Votre seule option à ce stade est donc de créer à partir des sources. Ce qui n'est pas pour les timides.

    
réponse donnée trampster 07.10.2010 - 12:52
la source
3

Selon cette discussion , vous pouvez simplement utiliser un préfixe différent:

--prefix=/opt/mono28
    
réponse donnée MCS 10.11.2010 - 20:43
la source
1

Vous pouvez toujours obtenir la dernière version de Mono en utilisant l'image VMware fournie à l'adresse: Page de téléchargement mono

    
réponse donnée user1963 04.11.2010 - 16:48
la source
1

Si vous êtes en ligne de commande, vous pouvez le compiler depuis le source, en utilisant sudo make checkinstall au lieu de sudo make install, pour obtenir des debs que vous pourrez rétrograder plus tard em> Vous avez été averti !!!!!)

    
réponse donnée RolandiXor 04.11.2010 - 16:51
la source
1

On dirait que le script vient d’être mis à jour pour installer Mono 2.10 sur Fedora et Ubuntu . Les scripts eux-mêmes se trouvent sur GitHub .

    
réponse donnée Tom Opgenorth 22.02.2011 - 04:57
la source
0

Même auteur que le lien fourni par Tom Opgenorth, mais mis à jour pour mono 2.10.1

lien

    
réponse donnée thejspr 01.05.2011 - 18:24
la source
0

Il y a un ppa. ppa:gezakovacs/sandbox contient des paquets mono 2.10, avec un grand démenti en haut. Votre choix.

    
réponse donnée user14828 23.04.2011 - 09:51
la source

Lire d'autres questions sur les étiquettes